Bug 434280 - gnome-sharp failed massrebuild attempt for GCC 4.3
gnome-sharp failed massrebuild attempt for GCC 4.3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-sharp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43rebuildfail 439931
  Show dependency treegraph
 
Reported: 2008-02-22 10:55 EST by Jesse Keating
Modified: 2013-01-09 22:03 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.16.0-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-14 04:43:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 10:55:37 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=441643
Exit code was 30, check the root.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-02-28 18:32:23 EST
scratch build 477229
Comment 2 Jon Stanley 2008-02-28 18:49:19 EST
errors this time around:

/usr/bin/mcs -define:GTK_SHARP_2_6 -define:GTK_SHARP_2_8
-define:GNOME_SHARP_2_16 -nowarn:0169,0612,0618 -unsafe -out:art-sharp.dll
-target:library -r:/usr/lib64/mono/gtk-sharp-2.0/pango-sharp.dll
-r:/usr/lib64/mono/gtk-sharp-2.0/atk-sharp.dll
-r:/usr/lib64/mono/gtk-sharp-2.0/gdk-sharp.dll
-r:/usr/lib64/mono/gtk-sharp-2.0/gtk-sharp.dll
-r:/usr/lib64/mono/gtk-sharp-2.0/glib-sharp.dll   
-r:/usr/lib64/pkgconfig/../../lib/mono/1.0/Mono.Cairo.dll   generated/*.cs 
AssemblyInfo.cs
error CS0006: cannot find metadata file
`/usr/lib64/pkgconfig/../../lib/mono/1.0/Mono.Cairo.dll'
Compilation failed: 1 error(s), 0 warnings
Comment 3 Xavier Lamien 2008-04-14 04:43:32 EDT
Already fixed on -2.16.0-7

Note You need to log in before you can comment on or make changes to this bug.